PhpStorm & WebStorm 5.0 RC 121.150

This week’s build is a Release Candidate 1 for WebStorm 5.0.0.
We’ll still have to address some problems for PhpStorm though.
Details on improvements are available in the tracker.

The last new features for 5.0 are: Jade language, PHAR (initial version).

More goodies will follow in 5.0.1 – which is already in the works.

We still owe you more details on the new stuff – posts will follow.
Please report all problems to our issue tracker.

Download PhpStorm & WebStorm for your platform from project EAP page. Patch-update is also available. IDEA 12 plugins will be available within a day.

Develop with pleasure!
-JetBrains Web IDE Team

This blog is permanently closed.

For up-to-date information please follow to corresponding WebStorm blog or PhpStorm blog.

 
This entry was posted in PhpStorm, Release Announcements, WebStorm and tagged , , , , . Bookmark the permalink.

18 Responses to PhpStorm & WebStorm 5.0 RC 121.150

  1. Alexey Gopachenko says:

    Also notable – we amended injection into PHP’s preg_*("") function arguments. We now inject RegEx language instead of generic content autodetection (i.e. giving you broken HTML)

    EDIT: looks like our RegEx is not very compatible with PHP’s, so you’ll have some red “expression expected” around {}. Disable injection pattern preg_*(“..”) if it bothers you too much. We’ll fix it with a patch :)

  2. David Rees says:

    Cool, always love an EAP update. What IDEA EAP build does this roughly correspond to so we know what fixes in it to look for?

    Also, does it include fixes marked “5.0.X”, or does that mean those issues will not be fixed until after the 5.0 GA (sigh)?

    • Alexey Gopachenko says:

      @David

      Well, IDEA has rushed forward on trunk (122) and we’re staying on stable branch (121) with most important being cherrypicked to 121… So there is no easy way to check it out.

      And yes, 5.0.x pool opens (via EAP) only after 5.0 GA. But hey, its only a week or two :)

  3. SecondFrog says:

    Will u make x64 version ?

    • Alexey Gopachenko says:

      What for?
      On Windows we bring our own JRE (32 bit) and there no reasons to switch to 64 bit.
      On OS X we use system JVM so it depends on version – latest are x64 by default, but I have a habit setting “use 32 bit mode” flag on app – it consumes bit less RAM.
      On Linux we use “system” JRE so it depends on your dist type and installed Java. x64 is required for some new systems – only true reason.

      • SecondFrog says:

        >What for?

        x64 is faster than x32, i think :)

        >On Windows we bring our own JRE (32 bit) and there no reasons to switch to 64 bit.

        what the difference from default JRE ? now i use java7 x32 and PhpStorm EAP/4.0.3. and it works faster then on your JRE.

        P.S. Windows7 x64 SP1

  4. DjebbZ says:

    The link to the tracker page with “Details and improvements” is wrong. I would love to see what awaits me in version 5 !

    • Andriy Bazanov says:

      It is correct — it shows what has been fixed/implemented in this particular build.

      When v5 will be officially released, there will be separate article with all new features. Until then — look for similar links in posts for each build.

  5. Pingback: Jade support in WebStorm 5 | WebStorm & PhpStorm Blog

  6. Dmitry says:

    Hi, I updated my EAP and can’t find any settings/options for JADE.
    How I can enable it?

  7. ksafonov says:

    @Dmitry at the moment Jade support is bundled in WebStorm only.

  8. manish mukherjee says:

    hi,

    are there any plans to support phamlp? the existing haml support is great, but in my haml files i get no code support for php.

    thx!

    mkm

    • Alexey Gopachenko says:

      Well, you can mix any “outer” language with PHP:
      1) Settings|File Types -> map file extension to PHP type
      2) Settings|Template data languages -> set external files language to haml

      • manish mukherjee says:

        Thanks for the reply. Under template data languages though, I see many options but no HAML option (phpstorm 5.01). perhaps i should move this to the discussion forums…

  9. Maksim Kochkin says:

    Hi. I have composer.phar in my project and PHPStorm is indexing its contents. It’s a problem because composer has Symphony components in sources and my project has too. It leads to «multiple implementations» error. How can I fix it? Thanks.

    Would be nice to have an option to exclude some files from index, but not from project.

  10. Luis Ferro says:

    Any idea when a Zend Framework 2 support for MVC will be available (if is scheduled)?

    If not, how can we the users provide support for a “unsupported” framework?

    Thanks,
    LF

    • Alexey Gopachenko says:

      It’s still being investigated, no ETA available ATM.
      Implementing extension by 3rd party is not possible yet due to absence of public API for PHP specific stuff.

      • Matthew says:

        Any plans for releasing a public API so 3rd party extensions can be written for various PHP frameworks not officially supported?

Comments are closed.